Subject: Re: [PATCH net-2.6.26] netlink: make socket filters work on netlink

From: jamal <[email-masked]>
Date: Mon, 31 Mar 2008 17:49:03 -0400

On Mon, 2008-31-03 at 22:15 +0200, Patrick McHardy wrote:

> I'll cook something up based on my and Stephen's patches.

Nice - now we can move all the filtering off iproute2;->

My view is that the nature of most stuff to filter on _events_ will
depend on something along a "whodunnit" field. Route messages have a
rudimentary form of such a field (the "protocol" field on the quagga
patch Stephen posted for example uses it). It would be really nice to be
able to generate such a field on all events to emit say the processid of
the process which caused the event. Ive been thinking of adding a
permanent field like that on the actions/filters. What are peoples
thoughts on that?

cheers,
jamal